#
# spec file for package quickcam (Version 0.6.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# nodebuginfo
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           quickcam
BuildRequires:  kernel-source kernel-syms
URL:            http://qce-ga.sourceforge.net/
Version:        0.6.4
Release:        0.1
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          System/Kernel
Summary:        Logitech USB QuickCam Kernel Module
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         http://mesh.dl.sourceforge.net/sourceforge/qce-ga/qc-usb-%{version}.tar.bz2
Source1:        http://home.mag.cx/messenger/source/qc-usb-messenger-1.3.tar.bz2
Patch0:         qc-usb-support.patch
Patch3:         qc-usb-qc_v4l_read-prototype.patch
Patch4:         qc-usb-remove-linux-pagemap.patch
Patch5:         qc-usb.UTS_RELEASE.patch
Patch6:         qc-usb.video_device.patch
Patch20:        qc-usb-messenger.video_device.patch
Patch21:        qc-usb-messenger.UTS_RELEASE.patch
%suse_kernel_module_package -x default ppc64 smp bigsmp

%description
Logitech USB QuickCam video driver with V4L support. Derived from
qce-ga, linux V4L driver for the QuickCam Express and Dexxa QuickCam

http://qce-ga.sourceforge.net/



Authors:
--------
    Tuukka Toivonen <tuukkat@ee.oulu.fi>

%package KMP
Summary:        Logitech USB QuickCam Kernel Module
Group:          System/Kernel

%description KMP
Logitech USB QuickCam video driver with V4L support. Derived from
qce-ga, linux V4L driver for the QuickCam Express and Dexxa QuickCam

http://qce-ga.sourceforge.net/



Authors:
--------
    Tuukka Toivonen <tuukkat@ee.oulu.fi>

%prep
%setup -q -n qc-usb-%{version} -a 1
%patch0 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
cd qc-usb-messenger-1.3
%patch20 -p1
%patch21 -p1

%build
mkdir source obj
cp qc-driver.c qc-hdcs.c qc-pb0100.c qc-vv6410.c qc-formats.c qc-mjpeg.c \
   qc-memory.c qc-memory.h quickcam.h videodev2.h videodevfix.h source/
cat > source/Kbuild <<-'EOF'
	EXTRA_CFLAGS += -I$(src) -DNOKERNEL
	obj-m := quickcam.o
	quickcam-objs := qc-driver.o qc-hdcs.o qc-pb0100.o qc-vv6410.o \
			 qc-formats.o qc-mjpeg.o qc-memory.o
EOF
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	 M=$PWD/obj/$flavor
done
cd qc-usb-messenger-1.3
mkdir source obj
cp -v qc-driver.c qc-vv6450.c qc-formats.c qc-memory.c \
   quickcam.h qc-memory.h source/
cat > source/Kbuild <<-'EOF'
	EXTRA_CFLAGS += -I$(src) -DNOKERNEL
	obj-m := quickcam-messenger.o
	quickcam-messenger-objs := qc-driver.o qc-vv6450.o qc-formats.o qc-memory.o
EOF
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
	 M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done
cd qc-usb-messenger-1.3
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
	 M=$PWD/obj/$flavor
done

%changelog
* Fri Aug 18 2006 - olh@suse.de
- UTS_RELEASE was removed, include media/v4l2-dev.h
* Tue Aug 01 2006 - olh@suse.de
- build also quickcam-messenger.ko from qc-usb-messenger-1.3
* Thu Jul 20 2006 - olh@suse.de
- update to 0.6.4
  use spin_lock_irqsave
* Mon Apr 03 2006 - ro@suse.de
- fix module_param patch
* Mon Apr 03 2006 - ro@suse.de
- change MODULE_PARM to module_param
* Wed Feb 08 2006 - olh@suse.de
- remove inclusion of linux/pagemap.h
* Tue Feb 07 2006 - ro@suse.de
- skip debuginfo package
  there is no main package we could attach to/require
* Mon Feb 06 2006 - olh@suse.de
- qc_v4l_read must return ssize_t (#148257)
* Sat Feb 04 2006 - agruen@suse.de
- Convert to a Kermel Module Package.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - olh@suse.de
- fix uninizialized variable
* Wed Jan 18 2006 - olh@suse.de
- .owner was removed from struct usb_driver in 2.6.16-rc1
* Sat Oct 29 2005 - olh@suse.de
- create package version 0.6.3 (#6244, #47497, #63972, #103076, #121895)
